Bug 229388 - net-im/ejabberd: port outdated
Summary: net-im/ejabberd: port outdated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-28 13:07 UTC by post
Modified: 2018-06-30 20:30 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
Update diff to 18.06 (16.45 KB, patch)
2018-06-29 02:10 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description post 2018-06-28 13:07:43 UTC
And 18.06 is out!

https://github.com/processone/ejabberd/releases/tag/18.06

If we hurry, FreeBSD will be the first to have a working port this time ;)
Comment 1 Ashish SHUKLA freebsd_committer 2018-06-29 02:10:30 UTC
Created attachment 194718 [details]
Update diff to 18.06

This diff seems to build fine. I've not been able to test it though. One thing of note is IRC transport is removed.

I will wait for few days before committing this, in case they commit of any these pull requests[1][2], and re-tag.

Please let me know if you notice any issues.

References:
[1] https://github.com/processone/moka/pull/1
[2] https://github.com/processone/samerlib/pull/1


HTH
Comment 2 post 2018-06-29 07:46:05 UTC
Thanks for the quick update! It did work for me flawlessly.
Comment 3 commit-hook freebsd_committer 2018-06-30 20:20:01 UTC
A commit references this bug:

Author: ashish
Date: Sat Jun 30 20:19:43 UTC 2018
New revision: 473639
URL: https://svnweb.freebsd.org/changeset/ports/473639

Log:
  - Update to 18.06
  - Add a note to UPDATING about removal of support for IRC transport
  - Thanks to reporter for help with testing

  PR:		229388
  Reported by:	post at zuglufttier dot de

Changes:
  head/UPDATING
  head/net-im/ejabberd/Makefile
  head/net-im/ejabberd/distinfo
  head/net-im/ejabberd/pkg-plist
Comment 4 Ashish SHUKLA freebsd_committer 2018-06-30 20:30:33 UTC
Thanks for help with testing. Committed.